View Issue Details

IDProjectCategoryView StatusLast Update
0031690FPCFCLpublic2017-04-23 12:48
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031690: fcl-passsrc errors with asm block in delphi mode
Descriptionprogram Project1;
{$MODE DELPHI}
function BitsHighest(X: Cardinal): Integer;
asm

end;
begin
end.

Gives Parser error: "Expected "begin" at token "asm" in file /home/zamtmn/SharedEXT4/hdd/src/my/zcad/other/pudgb/passrcerrors.pas at line 4 column 3"
TagsNo tags attached.
Fixed in Revision35896
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-04-22 13:31

administrator   ~0099768

Fixed, thanks for reporting!

Andrey Zubarev

2017-04-23 12:48

reporter   ~0099809

Thanks!

Issue History

Date Modified Username Field Change
2017-04-20 22:23 Andrey Zubarev New Issue
2017-04-20 23:29 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-04-20 23:29 Michael Van Canneyt Status new => assigned
2017-04-22 13:31 Michael Van Canneyt Fixed in Revision => 35896
2017-04-22 13:31 Michael Van Canneyt Note Added: 0099768
2017-04-22 13:31 Michael Van Canneyt Status assigned => resolved
2017-04-22 13:31 Michael Van Canneyt Fixed in Version => 3.1.1
2017-04-22 13:31 Michael Van Canneyt Resolution open => fixed
2017-04-22 13:31 Michael Van Canneyt Target Version => 3.2.0
2017-04-23 12:48 Andrey Zubarev Note Added: 0099809
2017-04-23 12:48 Andrey Zubarev Status resolved => closed